WordPress.org

Ready to get started?Download WordPress

Forums

Captcha
[resolved] required span missing (5 posts)

  1. crysman
    Member
    Posted 1 year ago #

    The BUG:
    Hi, there is the required span missing. Look at the original WP e-mail field:
    <p class="comment-form-email"><label for="email">Emailov√° adresa <span class="required">*</span></label> <input id="email" name="email" type="text" value="" size="30" aria-required="true"></p>

    In contrary, you have only:
    <label>CAPTCHA</label>

    The FIX:
    there definitely should be this:
    <label>CAPTCHA</label><span class="required">*</span>

    to keep the WP standard, because CAPTCHA input field IS required. Also, it seems there is the aria-required="true" attribute missing in the input tag (although I am not aware what such a typo-looking attribute does :)

    Could you fix it, please?

    http://wordpress.org/extend/plugins/captcha/

  2. crysman
    Member
    Posted 1 year ago #

    suggested full FIX:

    <p class="cptch_block">
      <label for="cptch_input">CAPTCHA</label>
      <span class="required">*</span>
      <input type="hidden" name="cptch_result" value="2rI=">
      <input type="hidden" value="Version: 2.4">
      1 + six =  <input id="cptch_input" type="text" autocomplete="off" name="cptch_number" aria-required="true" value="" maxlength="2" size="2" style="width:20px;margin-bottom:0;display:inline;font-size: 12px;width: 30px;">
      <span class="cptch-help">(<span title="<?php _("anti-spam protection"); ?>">?</span>)</span>
    </p>

    - added missing for attribute by label tag
    - added missing id attribute by input tag
    - added missing <span> tag (for required asteriks)
    - added help spans for some explanation (might get hidden via CSS)

  3. bestwebsoft
    Member
    Plugin Author

    Posted 1 year ago #

    Hello,

    Thank you for this information, we are going to add these changes to our new plugin version.

    Kind regards,
    Support Team

  4. crysman
    Member
    Posted 10 months ago #

    This has not been fixed. I am re-opening the issue. I've tested it on the latest plugin version available today.

    1) There is no "required" asterisk span
    2) There is a new issue and that is this: there should be definitely the "required" attribute present by the input cptch_input, too.

    This way HTML5 compliant browsers would not let the user incorrectly submit the form without filled-in value in the CAPTCHA input field...

    some additional info see here:
    http://developer.yahoo.com/blogs/ydn/define-required-inputs-aria-html5-53573.html

  5. bestwebsoft
    Member
    Plugin Author

    Posted 10 months ago #

    Hi crysman,

    1) There is no "required" asterisk span - we added this attribute in V3.7.4

    2) HTML5 standard hasn't been carried so far. That's why we develop our plugins for XHTML 1.1. standard and if the attributes you are talking about are added, the plugin's code won't be valid. That's why we won't add them.

    Sincerely,
    Support team

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic